Importing issues with RiTa toolkit

233
May 07, 2017, at 02:11 AM

I am getting this error when compiling my JS mini script:

Error: Cannot find module 'rita'

Which is weird because I installed the RiTa dependency in my package.json file:

{
  "name": "test",
  "version": "1.0.0",
  "description": "",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "author": "",
  "license": "ISC",
  "dependencies": {
    "rita": "^1.1.61"
  }
}

And the code is really simple:

var rita = require('rita');
var rs = rita.RiString("The elephant took a bite!");
console.log(rs.features());

Did I forget some dependency? Is there a recent issue with RiTa? Help would be appreciated.

Answer 1

install the previous version with npm i -S rita@1.1.60

Rent Charter Buses Company
READ ALSO
NodeJs: convert array of objects to a big object

NodeJs: convert array of objects to a big object

i want to write points to InfluxDBRefer to https://docs

562
Multiple ECMA-Script versions in intellij idea

Multiple ECMA-Script versions in intellij idea

I'm using Intellij IDEA to develop a Nodejs Application

416
wkhtmltopdf as node module fails when run as windows service

wkhtmltopdf as node module fails when run as windows service

I am running a node app that uses the wkhtmltopdf module (https://wwwnpmjs

375
mongoDb query to search values using $in and $or?

mongoDb query to search values using $in and $or?

var norm = [ 'may', 'funny', 'top funny', 'dinner', 'dog', 'hello', 'flo', 'sake', 'hai', 'video', 'rhymes', 'fine', 'good', 'public', 'testing', 'irish', 'hii', 'babies', 'coffee', 'happy', 'working', 'comedy',...

311